Package com.independentsoft.office.spreadsheet

# Class FilterCriteria

java.lang.Object
com.independentsoft.office.spreadsheet.FilterCriteria

public class FilterCriteria extends Object
The Class FilterCriteria.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterCriteria()`
  Instantiates a new filter criteria.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FilterCriteria`
  `clone()`
  `CalendarType`
  `getCalendarType()`
  Gets the calendar type.
  `List<DateGroupItem>`
  `getDateGroupItems()`
  Gets the date group items.
  `List<Filter>`
  `getFilters()`
  Gets the filters.
  `boolean`
  `isBlank()`
  Checks if is blank.
  `void`
  `setBlank​(boolean blank)`
  Sets the blank.
  `void`
  `setCalendarType​(CalendarType calendarType)`
  Sets the calendar type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilterCriteria

    public FilterCriteria()
    Instantiates a new filter criteria.

- ## Method Details

  - ### clone

    public FilterCriteria clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFilters

    public List<Filter> getFilters()
    Gets the filters.
    Returns:
      the filters

  - ### getDateGroupItems

    public List<DateGroupItem> getDateGroupItems()
    Gets the date group items.
    Returns:
      the date group items

  - ### isBlank

    public boolean isBlank()
    Checks if is blank.
    Returns:
      true, if is blank

  - ### setBlank

    public void setBlank​(boolean blank)
    Sets the blank.
    Parameters:
      `blank` - the new blank

  - ### getCalendarType

    public CalendarType getCalendarType()
    Gets the calendar type.
    Returns:
      the calendar type

  - ### setCalendarType

    public void setCalendarType​(CalendarType calendarType)
    Sets the calendar type.
    Parameters:
      `calendarType` - the new calendar type